import { HttpClient } from '@angular/common/http';
import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { AppBreadcrumbService } from 'src/app/app.breadcrumb.service';

@Component({
  selector: 'app-candidat-sidebar',
  templateUrl: './candidat-sidebar.component.html',
  styleUrls: ['./candidat-sidebar.component.scss']
})
export class CandidatSidebarComponent implements OnInit {
  createForm: FormGroup;
  submitted = false;
  constructor(private breadcrumbService: AppBreadcrumbService,private http: HttpClient, private formBuilder: FormBuilder) {
    this.breadcrumbService.setItems([
      { label: 'Candidat' },
      { label: 'New' }
    ]);
  }

  ngOnInit(): void {
    this.Form();
  }
  private Form() {
    this.createForm = this.formBuilder.group({
      firstName: ["", Validators.required],
      lastName: ["", Validators.required],
      emailPro: ["", Validators.email],
      emailPerso: ["", Validators.email]
    });
  }
  
  onSubmit() {
    this.submitted = true;
    if (this.createForm.invalid) {
      alert('Data Error!! :\n\n' + JSON.stringify(this.createForm.value, null,4));
      return;
    }
    alert('SUCCESS!! :\n\n' + JSON.stringify(this.createForm.value, null,4));
  }
}
