import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { Candidate } from '../models/candidate';

@Injectable({
  providedIn: 'root'
})
export class CandidateService {

  private _candidat = new BehaviorSubject<Candidate>(new Candidate());
  readonly candidats = this._candidat.asObservable();
  constructor(private http: HttpClient) { }
  
 candidatGetById(id: string): Observable<Candidate> {
   this.http.get<Candidate[]>('assets/demo/data/candidates.json').subscribe(
           e => { 
             var candidatById = e.filter(i => i.id == id); 
             this._candidat.next(Object.assign({}, candidatById[0]));
           });
    return this.candidats;
  }

  search(queryFN: string, queryLN: string, queryEML: string): Observable<Candidate[]> {
    let _candidats = new BehaviorSubject<Candidate[]>([]);
    let dataStore:  Candidate[];
    let candidats = _candidats.asObservable();
    
    this.http.get<Candidate[]>('assets/demo/data/candidates.json').subscribe(
      e => { 
        if(queryFN){
          dataStore = e.filter(i => i.firstName == queryFN); 
        }
        if(queryLN){
          dataStore = e.filter(i => i.lastName == queryLN); 
        }
        _candidats.next(Object.assign({}, dataStore));
      });
     
    return candidats;
  }
}
